#pragma once

#include <Array.h>
#include <Text.h>
#include <Writer.h>

class ModelInfo
{
private:
    const Framework::Text modelPath;
    Framework::RCArray<Framework::Text> texturePaths;
    bool transparent;

public:
    ModelInfo(const char* modelPath, const char* texturPath, int textureCount);
    ModelInfo(
        const char* modelPath, std::initializer_list<const char*> texturePaths);
    void writeTo(Framework::StreamWriter* zWriter) const;
    ModelInfo& setTransparent();
};